Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Message Queue, v4.5 API Specification
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.jms
Interface ServerSessionPool

    public interface ServerSessionPool

A `ServerSessionPool` object is an object implemented by an application server to provide a pool of `ServerSession` objects for processing the messages of a `ConnectionConsumer` (optional).

Its only method is `getServerSession`. The JMS API does not architect how the pool is implemented. It could be a static pool of `ServerSession` objects, or it could use a sophisticated algorithm to dynamically create `ServerSession` objects as needed.

If the `ServerSessionPool` is out of `ServerSession` objects, the `getServerSession` call may block. If a `ConnectionConsumer` is blocked, it cannot deliver new messages until a `ServerSession` is eventually returned.

See Also:
  `ServerSession`

Method Summary
`ServerSession` | `getServerSession()` Return a server session from the pool.

Method Detail

### getServerSession

    ServerSession getServerSession()
                                   throws JMSException

  Return a server session from the pool.

  Returns:
    a server session from the pool
  Throws:
    `JMSException` - if an application server fails to return a `ServerSession` out of its server session pool.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Message Queue, v4.5 API Specification
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2010, Oracle and/or its affiliates. All rights reserved.